OpenapiExt
List users in a realm
Returns a paginated list of users in the specified realm. Default page_size is 20, maximum is 100. # Authentication Requires valid API Key via X-API-Key header # Authorization The caller must have `users:view` permission in the target realm.
Returns a paginated list of users in the specified realm. Default page_size is 20, maximum is 100.
Authentication
Requires valid API Key via X-API-Key header
Authorization
The caller must have users:view permission in the target realm.
Authorization
api_key X-API-Key<token>
Client-app API key (third-party external API).
In: header
Path Parameters
realmId*string
Realm ID
Query Parameters
page?integer
Page number (1-based, default 1)
Format
int64Range
0 <= valuepageSize?integer
Page size (default 20, max 100)
Format
int64Range
0 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/ext/realms/string/users"{ "items": [ { "createdAt": "string", "email": "string", "id": "string", "nickname": "string", "status": 0 } ], "page": 0, "pageSize": 0, "total": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}